Debian Bug report logs - #679633
pu: package xserver-xorg-video-intel/2:2.13.0-7

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Julien Cristau <jcristau@debian.org>

Date: Sat, 30 Jun 2012 10:58:39 UTC

Severity: normal

Tags: confirmed, pending, squeeze

Fixed in version 6.0.6

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, 678565@bugs.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#679633; Package release.debian.org. (Sat, 30 Jun 2012 10:58:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to 678565@bugs.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sat, 30 Jun 2012 10:59:00 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package xserver-xorg-video-intel/2:2.13.0-7
Date: Sat, 30 Jun 2012 12:57:35 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

(x-debbugs-cc to 678565@bugs.d.o)

Hi,

Simon McVittie reported a crash in the intel driver, and tracked down
the fix in the upstream tree.  The patch is simple and applies cleanly.
debdiff follows, modulo dch -r.

diff --git a/debian/changelog b/debian/changelog
index b1719a3..7f85d32 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+xserver-xorg-video-intel (2:2.13.0-7) UNRELEASED; urgency=low
+
+  * Cherry-pick from upstream:
+    - uxa/glyphs: Fallback instead of crashing on large strings
+    Thanks to Simon McVittie for tracking this down (closes: #678565)
+
+ -- Julien Cristau <jcristau@debian.org>  Sat, 30 Jun 2012 12:49:00 +0200
+
 xserver-xorg-video-intel (2:2.13.0-6) stable; urgency=low
 
   * Cherry-pick from upstream:
diff --git a/uxa/uxa-glyphs.c b/uxa/uxa-glyphs.c
index ad4f387..da765f6 100644
--- a/uxa/uxa-glyphs.c
+++ b/uxa/uxa-glyphs.c
@@ -934,6 +934,11 @@ uxa_glyphs_via_mask(CARD8 op,
 	if (!pixmap)
 		return 1;
 
+	if (!uxa_pixmap_is_offscreen(pixmap)) {
+		screen->DestroyPixmap(pixmap);
+		return -1;
+	}
+
 	uxa_clear_pixmap(screen, uxa_screen, pixmap);
 
 	component_alpha = NeedsComponent(maskFormat->format);
@@ -1126,6 +1131,11 @@ fallback:
 		if (!pixmap)
 			return;
 
+		if (!uxa_pixmap_is_offscreen(pixmap)) {
+			screen->DestroyPixmap(pixmap);
+			goto fallback;
+		}
+
 		gc = GetScratchGC(depth, screen);
 		if (!gc) {
 			screen->DestroyPixmap(pixmap);

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#679633; Package release.debian.org. (Sat, 30 Jun 2012 11:04:49 GMT) Full text and rfc822 format available.

Message #8 received at 679633@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Julien Cristau <jcristau@debian.org>, 679633@bugs.debian.org
Subject: Re: Bug#679633: pu: package xserver-xorg-video-intel/2:2.13.0-7
Date: Sat, 30 Jun 2012 13:03:46 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jun 30, 2012 at 12:57:35PM +0200, Julien Cristau wrote:
> Simon McVittie reported a crash in the intel driver, and tracked down
> the fix in the upstream tree.  The patch is simple and applies cleanly.
> debdiff follows, modulo dch -r.

Please go ahead.

Thanks
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze and confirmed. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 30 Jun 2012 11:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#679633; Package release.debian.org. (Mon, 02 Jul 2012 20:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 02 Jul 2012 20:09:06 GMT) Full text and rfc822 format available.

Message #15 received at 679633@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Philipp Kern <pkern@debian.org>, 679633@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#679633: pu: package xserver-xorg-video-intel/2:2.13.0-7
Date: Mon, 02 Jul 2012 21:04:14 +0100
tags 679633 + pending
thanks

On Sat, 2012-06-30 at 13:03 +0200, Philipp Kern wrote:
> On Sat, Jun 30, 2012 at 12:57:35PM +0200, Julien Cristau wrote:
> > Simon McVittie reported a crash in the intel driver, and tracked down
> > the fix in the upstream tree.  The patch is simple and applies cleanly.
> > debdiff follows, modulo dch -r.
> 
> Please go ahead.

Uploaded, and flagged for acceptance; thanks.

Regards,

Adam





Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 02 Jul 2012 20:09:08 GMT) Full text and rfc822 format available.

Marked as fixed in versions 6.0.6. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 29 Sep 2012 14:03:18 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 29 Sep 2012 14:03:19 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Sat, 29 Sep 2012 14:03:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Oct 2012 07:28:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:56:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.